OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
VoxelEdgeAccessor< AccessorT, _AXIS > Struct Template Reference

Utility method to marks all voxels that share an edge. More...

`#include <VolumeToMesh.h>`

## Public Types
enum | { AXIS = _AXIS }

## Public Member Functions
| VoxelEdgeAccessor (AccessorT &_acc)
void | set (Coord ijk)

## Public Attributes
AccessorT & | acc

## Detailed Description

### template<typename AccessorT, int _AXIS>
struct openvdb::v7_0::tools::volume_to_mesh_internal::VoxelEdgeAccessor< AccessorT, _AXIS >

Utility method to marks all voxels that share an edge.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
AXIS |

## Constructor & Destructor Documentation

## ◆ VoxelEdgeAccessor()

VoxelEdgeAccessor | ( | AccessorT & | _acc | ) |
| inline

## Member Function Documentation

## ◆ set()

void set | ( | Coord | ijk | ) |
| inline

## Member Data Documentation

## ◆ acc

AccessorT& acc

The documentation for this struct was generated from the following file:

- VolumeToMesh.h